Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity.ldap
Class LDAPMembershipModule

    java.lang.Object
      org.jboss.portal.identity.service.IdentityModuleService
          org.jboss.portal.identity.service.MembershipModuleService
              org.jboss.portal.identity.ldap.LDAPMembershipModule

All Implemented Interfaces:
  MembershipModule

Direct Known Subclasses:
  LDAPStaticGroupMembershipModuleImpl, LDAPStaticRoleMembershipModuleImpl

    public abstract class LDAPMembershipModule

extends MembershipModuleService

Version:
  $Revision: 1.1 $
Author:
  Boleslaw Dawidowicz

Field Summary

Fields inherited from class org.jboss.portal.identity.service.IdentityModuleService
`moduleType`

Constructor Summary
`LDAPMembershipModule()`

Method Summary
`protected LDAPConnectionContext` | `getConnectionContext()`
`protected java.lang.String` | `getMemberAttributeID()`
`protected java.lang.String` | `getMembershipAttributeValue()`
`protected LDAPRoleModule` | `getRoleModule()`
`protected LDAPUserModule` | `getUserModule()`
`protected boolean` | `isMembershipAttributeRequired()`
`protected boolean` | `isUidAttributeIsDN()`
`void` | `setConnectionContext(LDAPConnectionContext connectionContext)`
`void` | `start()`

Methods inherited from class org.jboss.portal.identity.service.MembershipModuleService
`fireMembershipChangedEvent, fireMembershipChangedEvent, fireMembershipChangedEvent, getProfileInfo, setProfileInfo`

Methods inherited from class org.jboss.portal.identity.service.IdentityModuleService
`getConnectionJNDIName, getIdentityConfiguration, getIdentityContext, getIdentityEventBroadcaster, getInitOptions, getJndiBinder, getJNDIName, getModuleType, setConnectionJNDIName, setIdentityContext, setInitOptions, setJndiBinder, setJNDIName, setModuleType, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.portal.identity.MembershipModule
`assignRoles, assignUsers, findRoleMembers, getRoles, getUsers`

Constructor Detail

### LDAPMembershipModule

    public LDAPMembershipModule()

Method Detail

### start

    public void start()
               throws java.lang.Exception

  Overrides:
    `start` in class `IdentityModuleService`
  Throws:
    `java.lang.Exception`

### getConnectionContext

    protected LDAPConnectionContext getConnectionContext()
                                                  throws IdentityException

  Throws:
    `IdentityException`

### getUserModule

    protected LDAPUserModule getUserModule()
                                    throws IdentityException

  Throws:
    `IdentityException`

### getRoleModule

    protected LDAPRoleModule getRoleModule()
                                    throws IdentityException

  Throws:
    `IdentityException`

### getMemberAttributeID

    protected java.lang.String getMemberAttributeID()
                                             throws IdentityException

  Throws:
    `IdentityException`

### isUidAttributeIsDN

    protected boolean isUidAttributeIsDN()
                                  throws IdentityException

  Throws:
    `IdentityException`

### isMembershipAttributeRequired

    protected boolean isMembershipAttributeRequired()
                                             throws IdentityException

  Throws:
    `IdentityException`

### getMembershipAttributeValue

    protected java.lang.String getMembershipAttributeValue()
                                                    throws IdentityException

  Throws:
    `IdentityException`

### setConnectionContext

    public void setConnectionContext(LDAPConnectionContext connectionContext)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD